Referral

A Referral tracks who has referred whom.

List referrals

get

List all of the referrals in your Referral SaaSquatch by impact.com tenant. This method supports pagination and filtering.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t"

Query parameters
referringAccountIdstringOptional

When included, filters the results to only referrals that were referred by users with this AccountId

referringUserIdstringOptional

When included, filters the results to only referrals that were referred by users with this UserId

dateReferralPaidstringOptional

When included, filters the results by an exact timestamp or a comma-separated range for when the referral was paid.

dateReferralEndedstringOptional

When included, filters the results by an exact timestamp or a comma-separated range for when the referral ended.

referredModerationStatusstring · enumOptional

Filters the result to only include referred users with that status: PENDING, APPROVED or DENIED.

Possible values:
referrerModerationStatusstring · enumOptional

Filters the result to only include referrers with that status: PENDING, APPROVED or DENIED.

Possible values:
limitintegerOptional

A limit on the number of results returned.

Default: 10
offsetintegerOptional

Offsets the first result to return in the list for pagination.

Default: 0
Responses
200

A list of referrals.

application/json
countintegerOptionalExample: 1
totalCountintegerOptionalExample: 1
get
/{tenant_alias}/referrals
cURL

Lookup a Referral

get

Looks up a single Referral object by its associated id.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t"

referralIdstringRequired

The id of the referral to look up

Responses
200

Referral found.

application/json

A link between the user/account of the referrer and the new referred user/account.

idstringOptionalExample: 6a1709e0eb067e53ef651c29
referralCodeUsedstring · nullableOptionalExample: BOBTESTERSON
shareLinkUsedstring · nullableOptional
moderationStatusstring · enumOptionalExample: ACTIONEDPossible values:
referredModerationStatusstring · enumOptionalExample: APPROVEDPossible values:
referrerModerationStatusstring · enumOptionalExample: APPROVEDPossible values:
dateReferralStartedinteger · int64OptionalExample: 1779894752097
dateReferralPaidinteger · int64 · nullableOptional
dateReferralEndedinteger · int64 · nullableOptional
dateModeratedinteger · int64 · nullableOptionalExample: 1779894752099
dateConvertedinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when the referral converted.

dateModifiedinteger · int64Optional

Unix timestamp (milliseconds) when the referral was last modified.

Example: 1779894752494
dateUserModifiedinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when the referred user was last modified.

programIdstring · nullableOptional

The ID of the program this referral belongs to.

get
/{tenant_alias}/referrals/{referralId}
cURL

Moderate referrals

post

Moderates one or several referrals by either approving or denying.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t"

Body

A request to perform one or several moderation actions.

Responses
200

Success

No content

post
/{tenant_alias}/referrals/moderate
cURL

No content

List referrals (Open Endpoint)

get

Lists all of the referrals involving the given user. This is an Open Endpoint and is disabled by default.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t"

Query parameters
referringAccountIdstringOptional

Filters for referrals where this AccountId was the Referrer.

referringUserIdstringOptional

Filters for referrals where this UserId was the Referrer.

referredAccountIdstringOptional

Filters for referrals where this AccountId was the Referred User.

referredUserIdstringOptional

Filters for referrals where this UserId was the Referred User.

limitintegerOptional

A limit on the number of results returned.

Default: 10
offsetintegerOptional

Offsets the first result to return in the list for pagination.

Default: 0
Responses
200

A list of referrals.

application/json
countintegerOptionalExample: 1
totalCountintegerOptionalExample: 1
get
/{tenant_alias}/open/referrals
cURL

Last updated